      program main
      implicit none
      real*8, allocatable :: x(:), a(:), b(:)
      real*8 time
      integer*8 time0, time1, dtime
      integer i, j, n, m
c
      n = 10000
      m = 10000

c Initialization
      allocate(x(n), a(n), b(n))
      do i=1,n
        a(i) = rand()
        b(i) = rand()
      end do

c Start time
      call system_clock(time0)

c Main calculation
      do j=1,m
        do i=1,n
          x(i) = (a(i) + b(i)) / (a(i) * b(i))
        end do
      end do

c Finish time
      call system_clock(time1, dtime)

c Output time
      time = 1d0*(time1-time0)/dtime
      write(*,"(a7,f16.7)")"Time = ",time

      deallocate(x, a, b)
      end program
